import {BaseClass} from "./BaseClass";
/*
*  默认搜索条件
* */
export class SearchForm extends BaseClass {
  constructor(extra={}) {
    super()
    // 分页
    this.pageSize = 10
    // 当前页
    this.page = 1
    // 排序字段
    this.sort = 'createTime'
    // 排序方式
    this.order = 'desc'

    this.update(extra)

  }

  setPage(res){
    if(res.code == 1){
      if(res.hasOwnProperty('page')){
        this.page = res.page
      }
      if(res.hasOwnProperty('pageSize')){
        this.pageSize = res.pageSize
      }
    }
  }
};
